Query Video Generation Task
curl --request GET \
--url https://www.anyfast.ai/v1/video/generations/{task_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.anyfast.ai/v1/video/generations/{task_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.anyfast.ai/v1/video/generations/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "success",
"message": "",
"data": {
"task_id": "asyntask_jwgfhsG0m2aDjLmiiELRf74eoWmss6ya",
"action": "generate",
"status": "SUCCESS",
"result_url": "https://dashscope-a717.oss-accelerate.aliyuncs.com/.../xxx_refiner.mp4?Expires=...",
"fail_reason": "https://dashscope-a717.oss-accelerate.aliyuncs.com/.../xxx_refiner.mp4?Expires=...",
"submit_time": 1777343862,
"start_time": 1777343866,
"finish_time": 1777343961,
"progress": "100%",
"request_id": "20260428023742441081000FMrSbjcs",
"data": {
"output": {
"task_id": "e45a6a1b-6f05-43e5-ab06-ddfdc97587a7",
"task_status": "SUCCEEDED",
"video_url": "https://dashscope-a717.oss-accelerate.aliyuncs.com/.../xxx_refiner.mp4?Expires=...",
"orig_prompt": "A cat running on grass",
"submit_time": "2026-04-28 10:37:42.625",
"scheduled_time": "2026-04-28 10:37:42.652",
"end_time": "2026-04-28 10:39:04.185"
},
"request_id": "53121cad-c008-9b96-af1d-4289a4fc714b",
"usage": {
"SR": 720,
"duration": 5,
"input_video_duration": 0,
"output_video_duration": 5,
"ratio": "16:9",
"video_count": 1
}
}
}
}Alibaba
happyhorse-task-query
Retrieve the status and result of a HappyHorse video generation task by its ID.
GET
/
v1
/
video
/
generations
/
{task_id}
Query Video Generation Task
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Task ID returned from the video generation request (format: asyntask_xxx).
Was this page helpful?
⌘I